# SubscribeResponse | xrpl
Documentation for xrpl

# Interface SubscribeResponse

Response expected from a SubscribeRequest.

#### Hierarchy

- BaseResponse
  - SubscribeResponse

- Defined in packages/xrpl/src/models/methods/subscribe.ts:82

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: Record<string, never> | LedgerStreamResponse | BooksSnapshot

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/subscribe.ts:83

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc